﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using PluginInterface;
//


namespace vcPlugin
{
    public partial class ctlMain : UserControl
    {     

        private pluginOptions _options;

        public ctlMain(pluginOptions pluginOptions)
        {
            InitializeComponent();
            _options = pluginOptions;
            txtTextSetting.Text = _options.textSetting1;
            numSetting.Value = _options.numSetting1;
        }

        IPluginHost myHost = null;
        IPlugin myPlugin = null;

        public IPluginHost PluginHost
        {
            get { return myHost; }
            set { myHost = value; }
        }
        public IPlugin Plugin
        {
            get { return myPlugin; }
            set { myPlugin = value; }
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            //first update the myOptions object variables from controls on the form...

            _options.textSetting1 = txtTextSetting.Text;
            _options.numSetting1 =(Int32) numSetting.Value;
            

            //and then ask it to save to disk.
            try
            {
                _options.saveOptionsToXml();
                MessageBox.Show("Options Saved");
            }
            catch (Exception err) { MessageBox.Show("Error saving file: " + err.ToString()); }
            
        }

        private void ctlMain_Load(object sender, EventArgs e)
        {

        }

        
        
        

       

        

        
        

        
    }
}
